SSD1306Ascii

Macros
allFonts.h File Reference

Font definitions. More...

`#include "Adafruit5x7.h"`
`#include "font5x7.h"`
`#include "lcd5x7.h"`
`#include "Stang5x7.h"`
`#include "X11fixed7x14.h"`
`#include "X11fixed7x14B.h"`
`#include "ZevvPeep8x16.h"`
`#include "System5x7.h"`
`#include "SystemFont5x7.h"`
`#include "Iain5x7.h"`
`#include "Arial14.h"`
`#include "Arial_bold_14.h"`
`#include "Corsiva_12.h"`
`#include "Verdana_digits_24.h"`
`#include "Callibri10.h"`
`#include "Callibri11.h"`
`#include "Callibri11_bold.h"`
`#include "Callibri11_italic.h"`
`#include "Callibri14.h"`
`#include "Callibri15.h"`
`#include "Cooper19.h"`
`#include "Cooper21.h"`
`#include "Cooper26.h"`
`#include "TimesNewRoman13.h"`
`#include "TimesNewRoman13_italic.h"`
`#include "TimesNewRoman16.h"`
`#include "TimesNewRoman16_bold.h"`
`#include "TimesNewRoman16_italic.h"`
`#include "Verdana12.h"`
`#include "Verdana12_bold.h"`
`#include "Verdana12_italic.h"`
`#include "Roosewood22.h"`
`#include "Roosewood26.h"`
`#include "fixednums7x15.h"`
`#include "fixednums8x16.h"`
`#include "fixednums15x31.h"`
`#include "CalBlk36.h"`
`#include "CalLite24.h"`
`#include "lcdnums12x16.h"`
`#include "lcdnums14x24.h"`
`#include "fixed_bold10x15.h"`
`#include "Wendy3x5.h"`
`#include "newbasic3x5.h"`
`#include "font8x8.h"`
`#include "cp437font8x8.h"`
`#include "utf8font10x16.h"`
Include dependency graph for allFonts.h:
This graph shows which files directly or indirectly include this file:

## Macros
#define | FONT_CHAR_COUNT 5
#define | FONT_FIRST_CHAR 4
#define | FONT_HEIGHT 3
#define | FONT_LENGTH 0
#define | FONT_WIDTH 2
#define | FONT_WIDTH_TABLE 6
#define | GLCDFONTDECL(_n) static const uint8_t _n[]
#define | readFontByte(addr) (*(const unsigned char *)(addr))

## Detailed Description

Font definitions.

## Macro Definition Documentation

## ◆ FONT_CHAR_COUNT

#define FONT_CHAR_COUNT 5

count of characters in font.

## ◆ FONT_FIRST_CHAR

#define FONT_FIRST_CHAR 4

Ascii value of first character

## ◆ FONT_HEIGHT

#define FONT_HEIGHT 3

Font hight in pixels

## ◆ FONT_LENGTH

#define FONT_LENGTH 0

No longer used Big Endian length field. Now indicates font type.

00 00 (fixed width font with 1 padding pixel on right and below)

00 01 (fixed width font with no padding pixels)

## ◆ FONT_WIDTH

#define FONT_WIDTH 2

Maximum character width.

## ◆ FONT_WIDTH_TABLE

#define FONT_WIDTH_TABLE 6

Offset to width table.

## ◆ GLCDFONTDECL

#define GLCDFONTDECL | ( |  | _n | ) | static const uint8_t _n[]

declare a font.

## ◆ readFontByte

#define readFontByte | ( |  | addr | ) | (*(const unsigned char *)(addr))

Fake read from flash.